<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_80be54d4bf79b1f" . "177a6b4555ae15ab" . "7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1" . "ldGEgZmllbGQgSUQ="), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1z" . "Zw=="), "_7f628626dd1d55c71" . "b1fc0932ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_2d71c655f2a62b" . "5d8b25dbf8acf95" . "2fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1ldG" . "EgZmllbGQgSUQ="), "_4079816f" . "af0560c68" . "77e40230b" . "8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF9" . "2YWx1ZXMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldG" . "FfZmllbGRfaWQ="), "_516340c618ee12b8bfb13b0" . "d280f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmF" . "sdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2lkIE9SRE" . "VSIEJZIG1ldGFfdmFsdWU="), "_31767d7ad58" . "e706dbf47b7a" . "51a0fe6c4" => base64_decode("Y291bn" . "Q="), "_d162ad33b44d275c" . "cc6e4b5280b618df" => base64_decode("bWV0YV90ZX" . "h0"), "_e2e36e1c2215" . "f261368b20d15" . "740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWw" . "p"), "_0926ec1594f048b9fe0" . "aa9aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQgbWV0YSBmaWVsZCBJR" . "A=="), "_2d4b5f427" . "d48c3244c2" . "f195479a6c" . "ed7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJs" . "YW5rX3ZhbHVlcw=="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2d71c655f2a62b5d8b25dbf8a" . "cf952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_516340c618ee" . "12b8bfb13b0d2" . "80f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d162ad33b44d275ccc6e4b5280" . "b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_80be54d4bf79b1f177a6b4555ae15a" . "b7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e2e36e1c2215f261" . "368b20d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0926ec1594f048b9f" . "e0aa9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4079816faf0560c6877e40230b8b965" . "f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7f628626dd1d55c71b1fc093" . "2ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_31767d7ad58e7" . "06dbf47b7a51a0" . "fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2d4b5f427d48c3244c2f195479a6" . "ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc0932" . "ffd1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}